package com.webkit;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.webkit.WebSettings;
import android.webkit.WebView;

public class WebKit extends Activity {
	String htmlData;
	String mimeType = "text/html";
	String encoding = "UTF-8";
	private WebView mWebView;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        mWebView = (WebView)findViewById(R.id.web_engine);
        
        WebSettings webSettings = mWebView.getSettings();
//        webSettings.setSavePassword(false);
//        webSettings.setSaveFormData(true);
//        webSettings.setJavaScriptEnabled(true);
        webSettings.setSupportZoom(true);
        webSettings.setBuiltInZoomControls(true);

        mWebView.loadUrl("http://www.baggerautomatik.homeip.net/android/index_android.php");
       
     
   /*     String data = "<html>" +
        		"<body><h1>Yay mobiletuts+!</h1></body>" +
        		"</html>";
        mWebView.loadData(data, mimeType, encoding);
     //   mWebView.loadData(data, "text/html", "UTF-8");
     */ 
    }

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		menu.add("Start");
		menu.add("Messdaten");
		menu.add("Spracherkennung");
		menu.add("Gedanken");
		return super.onCreateOptionsMenu(menu);
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		String auswahl = (String)item.getTitle();

		if(auswahl =="Messdaten"){
			mWebView.loadUrl("http://www.baggerautomatik.homeip.net/android/messdaten_info.php");
		}else if(auswahl == "Spracherkennung"){
			mWebView.loadUrl("http://www.baggerautomatik.homeip.net/document/spracherkennung.htm");			
		}else if(auswahl == "Gedanken"){
			mWebView.loadUrl("http://www.baggerautomatik.homeip.net/document/gedankensteuerung.htm");			
		}else if(auswahl == "Start"){
		    mWebView.loadUrl("http://www.baggerautomatik.homeip.net/android/index_android.php");			
		}
		return true;
	}

}